package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.LcdInfo;
import com.ruoyi.system.domain.vo.LcdInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 消息Mapper接口
 *
 * @author ruoyi
 * @date 2023-01-14
 */
@Mapper
public interface LcdInfoMapper
{
    /**
     * 查询消息
     *
     * @param id 消息主键
     * @return 消息
     */
    public List<LcdInfo> selectLcdInfoById(Long id);

    /**
     * 查询消息列表
     *
     * @param lcdInfo 消息
     * @return 消息集合
     */
    public List<LcdInfo> selectLcdInfoList(LcdInfo lcdInfo);

    /**
     * 新增消息
     *
     * @param lcdInfovo 消息
     * @return 结果
     */
    public int insertLcdInfo(LcdInfoVo lcdInfovo);
    /*
    *
    * */
    public int selectUserId(String mob);

    /*
    * 查重
    * */
    public Long selectTitleById(String title);
    /**
     * 修改消息
     *
     * @param lcdInfo 消息
     * @return 结果
     */
    public int updateLcdInfo(LcdInfo lcdInfo);

    /**
     * 删除消息
     *
     * @param id 消息主键
     * @return 结果
     */
    public int deleteLcdInfoById(Long id);

    /**
     * 批量删除消息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLcdInfoByIds(Long[] ids);

    /**
     * 搜索消息列表.
     * @param title
     * @param lcdTimeLeft
     * @param lcdTimeRight
     * @return
     */
    List<LcdInfo> selectLcdListByTitleOrlcdTime(@Param("title")String title,
                                                  @Param("lcdTimeLeft")Date lcdTimeLeft,
                                                  @Param("lcdTimeRight")Date lcdTimeRight);
    /**
     * 查找指定消息id的手机号.
     * @param id
     * @return
     */
    List<String> selectMobile(Long id);
}
